// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js


var App = angular.module('SocialQuiz', ['ionic', 'SocialQuiz.Services', 'SocialQuiz.Controllers', 'SocialQuiz.Directives', 'pascalprecht.translate']);

App.run(function($ionicPlatform) {

    $ionicPlatform.ready(function() {

        if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            StatusBar.styleLightContent();
        }

        if (typeof gamecenter !== 'undefined') {
            gamecenter.auth(
                function (user) {

                }, function (data) {
                }
            );
        }


        var admobid = {};

        if (ionic.Platform.isIOS()) {
            admobid.banner_timer = 'ca-app-pub-9220529239894360/9188732316';
            admobid.interstitial = 'ca-app-pub-9220529239894360/3920927912';
        } else {
            admobid.banner_timer = 'ca-app-pub-9220529239894360/1097912318';
            admobid.interstitial = 'ca-app-pub-9220529239894360/2574645514';
        }


        if (typeof AdMob == 'undefined' || DISABLE_ADS) {
            AdMob = null;
        }


        if (AdMob) {
            AdMob.createBanner({
                adId: admobid.banner_timer,
                position: AdMob.AD_POSITION.BOTTOM_CENTER,
                autoShow: true
            });

            AdMob.prepareInterstitial({adId:admobid.interstitial, autoShow:false});

        }

        if (DEBUG) {
            window.analytics = null;
        }

        if (window.analytics) {
            window.analytics.startTrackerWithId('UA-61976169-1');
        }


        var args = [];
        var devKey = "R4naEsCgqcRv6jh9VSRECP";   // your AppsFlyer devKey
        args.push(devKey);

        var flurry_key = "BZZWTFQBGGTWJNT5FYGM";

        if (ionic.Platform.isIOS()) {
            var appId = "986385596";            // your ios app id in app store
            args.push(appId);
            flurry_key = "KP4B65F5ZVCKD46TGTJ6";
        }

        if (window.plugins && window.plugins.appsFlyer) {
            window.plugins.appsFlyer.initSdk(args);
        }



    });



});

App.config(function($stateProvider, $urlRouterProvider) {

    // Ionic uses AngularUI Router which uses the concept of states
    // Learn more here: https://github.com/angular-ui/ui-router
    // Set up the various states which the app can be in.
    // Each state's controller can be found in controllers.js
    $stateProvider

        // setup an abstract state for the tabs directive
        .state('tab', {
            url: "/tab",
            abstract: true,
            templateUrl: "templates/tabs.html"
        })

        // Each tab has its own nav history stack:

        .state('tab.dash', {
            url: '/dash',
            views: {
                'tab-dash': {
                    templateUrl: 'templates/tab-dash.html',
                    controller: 'DashCtrl',
                    resolve: {
                        'GameDataData':function(GameData){
                            return GameData.promise;
                        }
                    }
                }
            }
        })

        .state('tab.dash-gm1', {
            url: '/dash/gm1',
            views: {
                'tab-dash': {
                    templateUrl: 'templates/dash-gm1.html',
                    controller: 'GM1Ctrl',
                    resolve: {
                        'GameDataData':function(GameData){
                            return GameData.promise;
                        }
                    }
                }
            }
        })


        .state('tab.highscore', {
            url: '/highscore',
            views: {
                'tab-highscore': {
                    templateUrl: 'templates/tab-highscore.html',
                    controller: 'HighscoreCtrl'
                }
            }
        });

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/tab/dash');

});

App.config(['$translateProvider', function ($translateProvider) {

    $translateProvider.translations('en', {
        play: {
            headline: 'Who has more likes?',
            desc: 'This game is all about guessing who has more likes.',
            desc_2: 'By choosing from different categories you can determine the range of topics you will be asked about. The more categories you activate, the more points you get.',
            button: {
                start: 'Start game',
                categories: '{{ counter }} categories selected <i class=\'icon ion-android-arrow-dropdown\'></i>'
            },
            popover: {
                title: 'Select categories'
            }
        },
        categories: {
            sport: 'Sport',
            fashion: 'Fashion & Stars',
            media: 'Media & Entertainment',
            music: 'Music',
            politics: 'Politics',
            cars: 'Cars',
            business: 'Business',
            food: 'Food & Drinks',
            games: 'Games',
            technology: 'Technology'
        },

        game: {
            headline: 'Who has more likes?',
            headline_points: 'Points: {{ points }}',
            result: {
                score: 'Your Score',
                highscore: 'Highscore',
                tip: 'Tip: Select more categories to get more points!'

            },
            button: {
                quit: 'Quit',
                next: 'Next',
                restart: 'Try again',
                share: 'Share'
            }
        },

        tabs: {
            play: 'Play',
            highscore: 'Highscore'
        },

        review: {
            headline: 'Please rate us',
            text: 'If you enjoy using LikeDuel, whould you mind taking a moment to rate it? It won\'t take more than a minute. Thanks for your support!',
            button: {
                rate: 'Rate Now!',
                later: 'Remind me later',
                no: 'No Thanks'
            }
        },

        share: {
            win: {
                title: "{{ name1 }} vs. {{ name2 }}",
                headline: "I know it!",
                desc: "{{ name1 }} has more likes than {{ name2 }}! Did you know that? Check your social knowledge and compete with friends in LikeDuel!"
            },
            lose: {
                title: "{{ name1 }} vs. {{ name2 }}",
                headline: "WTF, really?!",
                desc: "\"{{ name1 }}\" has more likes than \"{{ name2 }}\"! Did you know that? Proof your knowledge and compete with friends in LikeDuel!"
            }
        }
    });


    $translateProvider.translations('de', {
        play: {
            headline: 'Wer hat mehr Likes?',
            desc: 'In diesem Spiel dreht sich alles darum zu schätzen, wer oder was mehr Likes auf Facebook hat.',
            desc_2: 'Mit Hilfe der Kategorien kannst du filtern, zu welchen Themen du befragt wirst. Je mehr Kategorien aktiviert sind, desto mehr Punkte bekommst du mit jeder richtigen Antwort.',
            button: {
                start: 'Spiel starten',
                categories: '{{ counter }} Kategorien ausgewählt <i class=\'icon ion-android-arrow-dropdown\'></i>'
            },
            popover: {
                title: 'Kategorien auswählen'
            }
        },
        categories: {
            sport: 'Sport',
            fashion: 'Mode & Prominente',
            media: 'Medien & Unterhaltung',
            music: 'Musik',
            politics: 'Politik',
            cars: 'Autos',
            business: 'Unternehmen',
            food: 'Essen & Trinken',
            games: 'Spiele',
            technology: 'Technik'
        },

        game: {
            headline: 'Wer hat mehr Likes?',
            headline_points: 'Punkte: {{ points }}',
            result: {
                score: 'Deine Punkte',
                highscore: 'Highscore',
                tip: 'Tipp: Aktiviere mehr Kategorien, um mehr Punkte zu bekommen!'
            },
            button: {
                quit: 'Beenden',
                next: 'Weiter',
                restart: 'Nochmal',
                share: 'Teilen'
            }
        },

        tabs: {
            play: 'Spielen',
            highscore: 'Highscore'
        },

        review: {
            headline: 'Magst du LikeDuell?',
            text: 'Wenn dir diese App gefällt, würden wir uns sehr über eine Bewertung freuen!',
            button: {
                rate: 'Bewerten',
                later: 'Später erinnern',
                no: 'Niemals'
            }
        },

        share: {
            win: {
                title: "{{ name1 }} vs. {{ name2 }}",
                headline: "Ich hab's gewusst! ",
                desc: "\"{{ name1 }}\" hat mehr Likes als \"{{ name2 }}\"! Hättest du es auch gewusst? Prüfe dein Wissen und messe dich mit Freunden in LikeDuell!"
            },
            lose: {
                title: "{{ name1 }} vs. {{ name2 }}",
                headline: "WTF, ehrlich?!",
                desc: "\"{{ name1 }}\" hat mehr Likes als \"{{ name2 }}\"! Hättest du es besser gewusst? Beweise dein Wissen und messe dich mit Freunden in LikeDuell!"
            }
        }
    });


    $translateProvider.preferredLanguage('en');

}]);