var Directives = angular.module('SocialQuiz.Directives', []);

Directives.directive('pageDisplay', ['GameMakerGM1', function (GameMaker) {
    return {
        restict: 'AE',
        replace: true,
        templateUrl: 'templates/directives/page-display.html',
        link: function (scope, element, attrs) {

        }
    }
}]);

Directives.directive('hideTabs', function($rootScope, $timeout) {
    return {
        restrict: 'A',
        link: function($scope, $el) {

            var tabs = document.querySelectorAll('div.tabs')[0];
            var footer;
            tabs = angular.element(tabs);
            tabs.css('display', 'none');


            $scope.$on('$destroy', function() {
                tabs.css('display', '');
                footer.addClass('has-tabs');
            });


            $timeout(function () {
                footer = angular.element(document.querySelector('ion-footer-bar'));
                footer.removeClass('has-tabs');
            });

        }
    };
});

Directives.directive('timerBar', function ($rootScope, $timeout, $window, Logger) {
    return {
        restict: 'AE',
        replace: true,
        scope: {
            timerSeconds: '@',
            timerRestart: '@'
        },
        templateUrl: 'templates/directives/timer-bar.html',
        link: function (scope, element, attributes) {

            Logger.log(attributes.currentSeconds, attributes.maxSeconds);
            var max = parseInt(attributes.maxSeconds);
            var original_width = $(element).width();
            var red_width = $(element).width() / scope.timerSeconds * 4;

            scope.$watch('timerSeconds', function(value){
                Logger.log('Restart', value);

                if (!$(element).is(':animated')) {
                    $(element).attr('style', 'width: '+$window.innerWidth+'px').animate({width: '0px'}, scope.timerSeconds * 1000, 'linear');
                }
            });


            scope.$watch(function () { return $(element).width() }, function (value) {
                if (value <= red_width) {
                    element.css('background', 'red').css('transition', 'background 1s');
                }
            });


        }
    }
});